explain_setreuid_or_die(3)

NAME
explain_setreuid_or_die - set the real and effective user ID and report errors
    "set the real and effective user ID and report errors"

SYNOPSIS
#include <libexplain/setreuid.h>

void explain_setreuid_or_die(uid_t ruid, uid_t euid);
int explain_setreuid_on_error(uid_t ruid, uid_t euid);

DESCRIPTION
The explain_setreuid_or_die function is used to call the setreuid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setreuid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setreuid_on_error function is used to call the setreuid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setreuid(3) function, but still returns to the caller.

ruid
    The ruid, exactly as to be passed to the setreuid(2) system call.

euid
    The euid, exactly as to be passed to the setreuid(2) system call.

RETURN VALUE
The explain_setreuid_or_die function only returns on success, see setreuid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setreuid_on_error function always returns the value return by the wrapped setreuid(2) system call.

EXAMPLE
The explain_setreuid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setreuid_or_die(ruid, euid);

SEE ALSO

setreuid(2)
    set the real and effective user ID

explain_setreuid(3)
    explain setreuid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2012 Peter Miller